#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD4,0xB6,0x8A,0x9B,0x67,0xC4,0x27,0xC3,0xBC,0x62,0x63,0xE4,
		0x2E,0x06,0xEC,0x2F,0x2F,0xF2,0xCB,0xD5,0xEA,0xF9,0x63,0x20,
		0xA6,0x8E,0xB0,0x9F,0x92,0x0A,0x56,0xF5,0x35,0x3A,0x83,0xB8,
		0xA5,0x30,0x5F,0xAB,0x0F,0x50,0xC5,0xB9,0xE9,0xBD,0x47,0x71,
		0x8F,0x17,0x37,0x2A,0x9D,0x51,0x16,0x3F,0x79,0x11,0x7B,0x2B,
		0xF5,0x42,0x86,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
